TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.DetailedTransactionInfo.XAMessage Class Reference

This class represents a Message that is involved in a transaction. More...

Inheritance diagram for TIBCO.EMS.ADMIN.DetailedTransactionInfo.XAMessage:

## Public Member Functions
override String | ToString ()
| Gives a string representation of current objects data. More...

## Properties
string | DestinationName`[get]`
| Get the destination name to which this message was sent. More...
DestinationType | Type`[get]`
| Get the destination type to which this message was sent. DestinationType.All indicates the destination could not be found. More...
string | MessageID`[get]`
| Get the message ID of this message. More...

## Detailed Description

This class represents a Message that is involved in a transaction.

## Member Function Documentation

override String TIBCO.EMS.ADMIN.DetailedTransactionInfo.XAMessage.ToString | ( |  | ) |
| inline

Gives a string representation of current objects data.

Returns
  String representation of current instance.

## Property Documentation

string TIBCO.EMS.ADMIN.DetailedTransactionInfo.XAMessage.DestinationName
| get

Get the destination name to which this message was sent.

Returns
  the destination name to which this message was sent. Null indicates the destination could not be found.

string TIBCO.EMS.ADMIN.DetailedTransactionInfo.XAMessage.MessageID
| get

Get the message ID of this message.

Returns
  the message ID of this message. Null indicates the message ID could not be obtained or was disabled.

DestinationType TIBCO.EMS.ADMIN.DetailedTransactionInfo.XAMessage.Type
| get

Get the destination type to which this message was sent. DestinationType.All indicates the destination could not be found.

Returns
  the destination type to which this message was sent.